Summary:        A tiling terminal emulator based on GTK+ 3
Name:           tilix
Version:        1.9.4
Release:        1%{?dist}
License:        MPLv2.0
Group:          Applications/System

Source:         https://github.com/gnunn1/%{name}/releases/download/%{version}/%{name}-%{version}_x86_64-linux-gnu.zip
URL:            http://github.com/gnunn1/%{name}

Requires:	dconf gtk3 vte291 gsettings-desktop-schemas
Requires:	gtk-update-icon-cache glib2 
BuildRequires:	desktop-file-utils libappstream-glib
Obsoletes:	terminix <= %{version}-%{release}

ExclusiveArch: x86_64

%description
A tiling terminal emulator

%package nautilus
Summary:        %{name} Nautilus integration
Group:          Applications/System
Requires:       nautilus-extensions
Requires:       nautilus-python
Requires:       %{name} = %{version}-%{release}
Obsoletes:	terminix-nautilus <= %{version}-%{release}

%description nautilus
Files to integrate %{name} into nautilus.

%prep

%build

%install
unzip -q -x -d %{buildroot} %{SOURCE0}

mv %{buildroot}/%{name}-%{version} %{buildroot}/usr

sed -i '/translate/d' %{buildroot}%{_datadir}/metainfo/com.gexperts.Tilix.appdata.xml

desktop-file-validate %{buildroot}%{_datadir}/applications/com.gexperts.Tilix.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*.appdata.xml

%find_lang %{name}

%post
%{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ]
then
    %{_bindir}/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
    %{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/com.gexperts.Tilix.desktop
%{_datadir}/metainfo/com.gexperts.Tilix.appdata.xml
%{_datadir}/icons/hicolor/scalable/apps/com.gexperts.Tilix.svg
%{_datadir}/icons/hicolor/symbolic/apps/com.gexperts.Tilix-symbolic.svg
%{_datadir}/%{name}/schemes/*
%{_datadir}/%{name}/resources/%{name}.gresource
%{_datadir}/%{name}/scripts/tilix_int.sh
%{_datadir}/glib-2.0/schemas/com.gexperts.Tilix.gschema.xml
%{_datadir}/dbus-1/services/com.gexperts.Tilix.service
%{_mandir}/man1/%{name}.1.gz

%files nautilus
%{_datadir}/nautilus-python/extensions/*

%changelog
* Tue Aug 10 2021 nibon7 <nibon7@163.com> 1.9.4-1
- Upgrade to 1.9.4

* Tue Aug 11 2020 nibon7 <nibon7@163.com> 1.9.3-1
- Initial build
